# class KeyObserver

### Public Instance Methods

after_destroy(key) click to toggle source

    # File app/observers/key_observer.rb, line 8
    def after_destroy(key)
      return if key.is_deploy_key && !key.last_deploy?
      git_host.remove_key(key.identifier, key.projects)
    end

after_save(key) click to toggle source

    # File app/observers/key_observer.rb, line 4
    def after_save(key)
      git_host.set_key(key.identifier, key.key, key.projects)
    end